loading...
POST
/v2/Payment/Cart

Cart sends cart/order data to the terminal for display during the payment flow. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Payment/Cart" \  -H "Content-Type: application/json" \  -d '{    "Cart": {      "Amounts": [        {          "Name": "",          "Value": null        }      ],      "CashPrices": [        {          "Name": "",          "Value": null        }      ],      "Items": [        {          "Name": "",          "Price": null,          "UnitPrice": null,          "Quantity": null,          "AdditionalInfo": "",          "CustomInfos": [            {              "Name": "",              "Value": null            }          ],          "Modifiers": [            {              "Name": "",              "Options": [                {                  "Name": "",                  "Price": null,                  "Quantity": null                }              ]            }          ]        }      ]    },    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "CustomFields": {}  }'
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}